# PCMG

Use multigrid preconditioning. This preconditioner requires you provide additional information about the coarser grid matrices and restriction/interpolation operators.

### Options Database Keys

| -pc_mg_levels <nlevels> | - number of levels including finest
| -pc_mg_cycles v or w | - . -pc_mg_smoothup <n> - number of smoothing steps after interpolation
| -pc_mg_smoothdown <n> | - number of smoothing steps before applying restriction operator
| -pc_mg_type <additive,multiplicative,full,cascade> | - multiplicative is the default
| -pc_mg_log | - log information about time spent on each level of the solver
| -pc_mg_monitor | - print information on the multigrid convergence
| -pc_mg_galerkin | - use Galerkin process to compute coarser operators
| -pc_mg_dump_matlab | - dumps the matrices for each level and the restriction/interpolation matrices to the Socket viewer for reading from Matlab.

### Notes

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC, PCMGType,
PCMGSetLevels(), PCMGGetLevels(), PCMGSetType(), PCMGSetCycleType(), PCMGSetNumberSmoothDown(), PCMGSetNumberSmoothUp(), PCMGGetCoarseSolve(), PCMGSetResidual(), PCMGSetInterpolation(), PCMGSetRestriction(), PCMGGetSmoother(), PCMGGetSmootherUp(), PCMGGetSmootherDown(), PCMGSetCycleTypeOnLevel(), PCMGSetRhs(), PCMGSetX(), PCMGSetR()

Level:intermediate
Location: src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages